<?php

declare(strict_types=1);

namespace App\Framework\Filesystem\Exceptions;

use App\Framework\Exception\FrameworkException;

final class DirectoryCreateException extends FrameworkException
{
    public function __construct(
        string $directory,
        int $code = 0,
        ?\Throwable $previous = null
    ) {
        parent::__construct(
            message: "Ordner '$directory' konnte nicht angelegt werden.",
            code: $code,
            previous: $previous,
            context: ['directory' => $directory]
        );
    }
}
